package com.navdy.hud.app.bluetooth.vcard;

class JapaneseUtils {
    final private static java.util.Map sHalfWidthMap;
    
    static {
        sHalfWidthMap = (java.util.Map)new java.util.HashMap();
        sHalfWidthMap.put(Character.valueOf((char)12289), "\uff64");
        sHalfWidthMap.put(Character.valueOf((char)12290), "\uff61");
        sHalfWidthMap.put(Character.valueOf((char)12300), "\uff62");
        sHalfWidthMap.put(Character.valueOf((char)12301), "\uff63");
        sHalfWidthMap.put(Character.valueOf((char)12316), "~");
        sHalfWidthMap.put(Character.valueOf((char)12353), "\uff67");
        sHalfWidthMap.put(Character.valueOf((char)12354), "\uff71");
        sHalfWidthMap.put(Character.valueOf((char)12355), "\uff68");
        sHalfWidthMap.put(Character.valueOf((char)12356), "\uff72");
        sHalfWidthMap.put(Character.valueOf((char)12357), "\uff69");
        sHalfWidthMap.put(Character.valueOf((char)12358), "\uff73");
        sHalfWidthMap.put(Character.valueOf((char)12359), "\uff6a");
        sHalfWidthMap.put(Character.valueOf((char)12360), "\uff74");
        sHalfWidthMap.put(Character.valueOf((char)12361), "\uff6b");
        sHalfWidthMap.put(Character.valueOf((char)12362), "\uff75");
        sHalfWidthMap.put(Character.valueOf((char)12363), "\uff76");
        sHalfWidthMap.put(Character.valueOf((char)12364), "\uff76\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12365), "\uff77");
        sHalfWidthMap.put(Character.valueOf((char)12366), "\uff77\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12367), "\uff78");
        sHalfWidthMap.put(Character.valueOf((char)12368), "\uff78\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12369), "\uff79");
        sHalfWidthMap.put(Character.valueOf((char)12370), "\uff79\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12371), "\uff7a");
        sHalfWidthMap.put(Character.valueOf((char)12372), "\uff7a\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12373), "\uff7b");
        sHalfWidthMap.put(Character.valueOf((char)12374), "\uff7b\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12375), "\uff7c");
        sHalfWidthMap.put(Character.valueOf((char)12376), "\uff7c\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12377), "\uff7d");
        sHalfWidthMap.put(Character.valueOf((char)12378), "\uff7d\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12379), "\uff7e");
        sHalfWidthMap.put(Character.valueOf((char)12380), "\uff7e\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12381), "\uff7f");
        sHalfWidthMap.put(Character.valueOf((char)12382), "\uff7f\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12383), "\uff80");
        sHalfWidthMap.put(Character.valueOf((char)12384), "\uff80\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12385), "\uff81");
        sHalfWidthMap.put(Character.valueOf((char)12386), "\uff81\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12387), "\uff6f");
        sHalfWidthMap.put(Character.valueOf((char)12388), "\uff82");
        sHalfWidthMap.put(Character.valueOf((char)12389), "\uff82\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12390), "\uff83");
        sHalfWidthMap.put(Character.valueOf((char)12391), "\uff83\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12392), "\uff84");
        sHalfWidthMap.put(Character.valueOf((char)12393), "\uff84\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12394), "\uff85");
        sHalfWidthMap.put(Character.valueOf((char)12395), "\uff86");
        sHalfWidthMap.put(Character.valueOf((char)12396), "\uff87");
        sHalfWidthMap.put(Character.valueOf((char)12397), "\uff88");
        sHalfWidthMap.put(Character.valueOf((char)12398), "\uff89");
        sHalfWidthMap.put(Character.valueOf((char)12399), "\uff8a");
        sHalfWidthMap.put(Character.valueOf((char)12400), "\uff8a\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12401), "\uff8a\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12402), "\uff8b");
        sHalfWidthMap.put(Character.valueOf((char)12403), "\uff8b\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12404), "\uff8b\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12405), "\uff8c");
        sHalfWidthMap.put(Character.valueOf((char)12406), "\uff8c\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12407), "\uff8c\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12408), "\uff8d");
        sHalfWidthMap.put(Character.valueOf((char)12409), "\uff8d\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12410), "\uff8d\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12411), "\uff8e");
        sHalfWidthMap.put(Character.valueOf((char)12412), "\uff8e\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12413), "\uff8e\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12414), "\uff8f");
        sHalfWidthMap.put(Character.valueOf((char)12415), "\uff90");
        sHalfWidthMap.put(Character.valueOf((char)12416), "\uff91");
        sHalfWidthMap.put(Character.valueOf((char)12417), "\uff92");
        sHalfWidthMap.put(Character.valueOf((char)12418), "\uff93");
        sHalfWidthMap.put(Character.valueOf((char)12419), "\uff6c");
        sHalfWidthMap.put(Character.valueOf((char)12420), "\uff94");
        sHalfWidthMap.put(Character.valueOf((char)12421), "\uff6d");
        sHalfWidthMap.put(Character.valueOf((char)12422), "\uff95");
        sHalfWidthMap.put(Character.valueOf((char)12423), "\uff6e");
        sHalfWidthMap.put(Character.valueOf((char)12424), "\uff96");
        sHalfWidthMap.put(Character.valueOf((char)12425), "\uff97");
        sHalfWidthMap.put(Character.valueOf((char)12426), "\uff98");
        sHalfWidthMap.put(Character.valueOf((char)12427), "\uff99");
        sHalfWidthMap.put(Character.valueOf((char)12428), "\uff9a");
        sHalfWidthMap.put(Character.valueOf((char)12429), "\uff9b");
        sHalfWidthMap.put(Character.valueOf((char)12430), "\uff9c");
        sHalfWidthMap.put(Character.valueOf((char)12431), "\uff9c");
        sHalfWidthMap.put(Character.valueOf((char)12432), "\uff72");
        sHalfWidthMap.put(Character.valueOf((char)12433), "\uff74");
        sHalfWidthMap.put(Character.valueOf((char)12434), "\uff66");
        sHalfWidthMap.put(Character.valueOf((char)12435), "\uff9d");
        sHalfWidthMap.put(Character.valueOf((char)12443), "\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12444), "\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12449), "\uff67");
        sHalfWidthMap.put(Character.valueOf((char)12450), "\uff71");
        sHalfWidthMap.put(Character.valueOf((char)12451), "\uff68");
        sHalfWidthMap.put(Character.valueOf((char)12452), "\uff72");
        sHalfWidthMap.put(Character.valueOf((char)12453), "\uff69");
        sHalfWidthMap.put(Character.valueOf((char)12454), "\uff73");
        sHalfWidthMap.put(Character.valueOf((char)12455), "\uff6a");
        sHalfWidthMap.put(Character.valueOf((char)12456), "\uff74");
        sHalfWidthMap.put(Character.valueOf((char)12457), "\uff6b");
        sHalfWidthMap.put(Character.valueOf((char)12458), "\uff75");
        sHalfWidthMap.put(Character.valueOf((char)12459), "\uff76");
        sHalfWidthMap.put(Character.valueOf((char)12460), "\uff76\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12461), "\uff77");
        sHalfWidthMap.put(Character.valueOf((char)12462), "\uff77\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12463), "\uff78");
        sHalfWidthMap.put(Character.valueOf((char)12464), "\uff78\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12465), "\uff79");
        sHalfWidthMap.put(Character.valueOf((char)12466), "\uff79\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12467), "\uff7a");
        sHalfWidthMap.put(Character.valueOf((char)12468), "\uff7a\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12469), "\uff7b");
        sHalfWidthMap.put(Character.valueOf((char)12470), "\uff7b\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12471), "\uff7c");
        sHalfWidthMap.put(Character.valueOf((char)12472), "\uff7c\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12473), "\uff7d");
        sHalfWidthMap.put(Character.valueOf((char)12474), "\uff7d\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12475), "\uff7e");
        sHalfWidthMap.put(Character.valueOf((char)12476), "\uff7e\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12477), "\uff7f");
        sHalfWidthMap.put(Character.valueOf((char)12478), "\uff7f\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12479), "\uff80");
        sHalfWidthMap.put(Character.valueOf((char)12480), "\uff80\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12481), "\uff81");
        sHalfWidthMap.put(Character.valueOf((char)12482), "\uff81\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12483), "\uff6f");
        sHalfWidthMap.put(Character.valueOf((char)12484), "\uff82");
        sHalfWidthMap.put(Character.valueOf((char)12485), "\uff82\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12486), "\uff83");
        sHalfWidthMap.put(Character.valueOf((char)12487), "\uff83\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12488), "\uff84");
        sHalfWidthMap.put(Character.valueOf((char)12489), "\uff84\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12490), "\uff85");
        sHalfWidthMap.put(Character.valueOf((char)12491), "\uff86");
        sHalfWidthMap.put(Character.valueOf((char)12492), "\uff87");
        sHalfWidthMap.put(Character.valueOf((char)12493), "\uff88");
        sHalfWidthMap.put(Character.valueOf((char)12494), "\uff89");
        sHalfWidthMap.put(Character.valueOf((char)12495), "\uff8a");
        sHalfWidthMap.put(Character.valueOf((char)12496), "\uff8a\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12497), "\uff8a\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12498), "\uff8b");
        sHalfWidthMap.put(Character.valueOf((char)12499), "\uff8b\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12500), "\uff8b\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12501), "\uff8c");
        sHalfWidthMap.put(Character.valueOf((char)12502), "\uff8c\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12503), "\uff8c\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12504), "\uff8d");
        sHalfWidthMap.put(Character.valueOf((char)12505), "\uff8d\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12506), "\uff8d\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12507), "\uff8e");
        sHalfWidthMap.put(Character.valueOf((char)12508), "\uff8e\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12509), "\uff8e\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)12510), "\uff8f");
        sHalfWidthMap.put(Character.valueOf((char)12511), "\uff90");
        sHalfWidthMap.put(Character.valueOf((char)12512), "\uff91");
        sHalfWidthMap.put(Character.valueOf((char)12513), "\uff92");
        sHalfWidthMap.put(Character.valueOf((char)12514), "\uff93");
        sHalfWidthMap.put(Character.valueOf((char)12515), "\uff6c");
        sHalfWidthMap.put(Character.valueOf((char)12516), "\uff94");
        sHalfWidthMap.put(Character.valueOf((char)12517), "\uff6d");
        sHalfWidthMap.put(Character.valueOf((char)12518), "\uff95");
        sHalfWidthMap.put(Character.valueOf((char)12519), "\uff6e");
        sHalfWidthMap.put(Character.valueOf((char)12520), "\uff96");
        sHalfWidthMap.put(Character.valueOf((char)12521), "\uff97");
        sHalfWidthMap.put(Character.valueOf((char)12522), "\uff98");
        sHalfWidthMap.put(Character.valueOf((char)12523), "\uff99");
        sHalfWidthMap.put(Character.valueOf((char)12524), "\uff9a");
        sHalfWidthMap.put(Character.valueOf((char)12525), "\uff9b");
        sHalfWidthMap.put(Character.valueOf((char)12526), "\uff9c");
        sHalfWidthMap.put(Character.valueOf((char)12527), "\uff9c");
        sHalfWidthMap.put(Character.valueOf((char)12528), "\uff72");
        sHalfWidthMap.put(Character.valueOf((char)12529), "\uff74");
        sHalfWidthMap.put(Character.valueOf((char)12530), "\uff66");
        sHalfWidthMap.put(Character.valueOf((char)12531), "\uff9d");
        sHalfWidthMap.put(Character.valueOf((char)12532), "\uff73\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)12533), "\uff76");
        sHalfWidthMap.put(Character.valueOf((char)12534), "\uff79");
        sHalfWidthMap.put(Character.valueOf((char)12539), "\uff65");
        sHalfWidthMap.put(Character.valueOf((char)12540), "\uff70");
        sHalfWidthMap.put(Character.valueOf((char)65281), "!");
        sHalfWidthMap.put(Character.valueOf((char)65282), "\"");
        sHalfWidthMap.put(Character.valueOf((char)65283), "#");
        sHalfWidthMap.put(Character.valueOf((char)65284), "$");
        sHalfWidthMap.put(Character.valueOf((char)65285), "%");
        sHalfWidthMap.put(Character.valueOf((char)65286), "&");
        sHalfWidthMap.put(Character.valueOf((char)65287), "'");
        sHalfWidthMap.put(Character.valueOf((char)65288), "(");
        sHalfWidthMap.put(Character.valueOf((char)65289), ")");
        sHalfWidthMap.put(Character.valueOf((char)65290), "*");
        sHalfWidthMap.put(Character.valueOf((char)65291), "+");
        sHalfWidthMap.put(Character.valueOf((char)65292), ",");
        sHalfWidthMap.put(Character.valueOf((char)65293), "-");
        sHalfWidthMap.put(Character.valueOf((char)65294), ".");
        sHalfWidthMap.put(Character.valueOf((char)65295), "/");
        sHalfWidthMap.put(Character.valueOf((char)65296), "0");
        sHalfWidthMap.put(Character.valueOf((char)65297), "1");
        sHalfWidthMap.put(Character.valueOf((char)65298), "2");
        sHalfWidthMap.put(Character.valueOf((char)65299), "3");
        sHalfWidthMap.put(Character.valueOf((char)65300), "4");
        sHalfWidthMap.put(Character.valueOf((char)65301), "5");
        sHalfWidthMap.put(Character.valueOf((char)65302), "6");
        sHalfWidthMap.put(Character.valueOf((char)65303), "7");
        sHalfWidthMap.put(Character.valueOf((char)65304), "8");
        sHalfWidthMap.put(Character.valueOf((char)65305), "9");
        sHalfWidthMap.put(Character.valueOf((char)65306), ":");
        sHalfWidthMap.put(Character.valueOf((char)65307), ";");
        sHalfWidthMap.put(Character.valueOf((char)65308), "<");
        sHalfWidthMap.put(Character.valueOf((char)65309), "=");
        sHalfWidthMap.put(Character.valueOf((char)65310), ">");
        sHalfWidthMap.put(Character.valueOf((char)65311), "?");
        sHalfWidthMap.put(Character.valueOf((char)65312), "@");
        sHalfWidthMap.put(Character.valueOf((char)65313), "A");
        sHalfWidthMap.put(Character.valueOf((char)65314), "B");
        sHalfWidthMap.put(Character.valueOf((char)65315), "C");
        sHalfWidthMap.put(Character.valueOf((char)65316), "D");
        sHalfWidthMap.put(Character.valueOf((char)65317), "E");
        sHalfWidthMap.put(Character.valueOf((char)65318), "F");
        sHalfWidthMap.put(Character.valueOf((char)65319), "G");
        sHalfWidthMap.put(Character.valueOf((char)65320), "H");
        sHalfWidthMap.put(Character.valueOf((char)65321), "I");
        sHalfWidthMap.put(Character.valueOf((char)65322), "J");
        sHalfWidthMap.put(Character.valueOf((char)65323), "K");
        sHalfWidthMap.put(Character.valueOf((char)65324), "L");
        sHalfWidthMap.put(Character.valueOf((char)65325), "M");
        sHalfWidthMap.put(Character.valueOf((char)65326), "N");
        sHalfWidthMap.put(Character.valueOf((char)65327), "O");
        sHalfWidthMap.put(Character.valueOf((char)65328), "P");
        sHalfWidthMap.put(Character.valueOf((char)65329), "Q");
        sHalfWidthMap.put(Character.valueOf((char)65330), "R");
        sHalfWidthMap.put(Character.valueOf((char)65331), "S");
        sHalfWidthMap.put(Character.valueOf((char)65332), "T");
        sHalfWidthMap.put(Character.valueOf((char)65333), "U");
        sHalfWidthMap.put(Character.valueOf((char)65334), "V");
        sHalfWidthMap.put(Character.valueOf((char)65335), "W");
        sHalfWidthMap.put(Character.valueOf((char)65336), "X");
        sHalfWidthMap.put(Character.valueOf((char)65337), "Y");
        sHalfWidthMap.put(Character.valueOf((char)65338), "Z");
        sHalfWidthMap.put(Character.valueOf((char)65339), "[");
        sHalfWidthMap.put(Character.valueOf((char)65340), "\\");
        sHalfWidthMap.put(Character.valueOf((char)65341), "]");
        sHalfWidthMap.put(Character.valueOf((char)65342), "^");
        sHalfWidthMap.put(Character.valueOf((char)65343), "_");
        sHalfWidthMap.put(Character.valueOf((char)65345), "a");
        sHalfWidthMap.put(Character.valueOf((char)65346), "b");
        sHalfWidthMap.put(Character.valueOf((char)65347), "c");
        sHalfWidthMap.put(Character.valueOf((char)65348), "d");
        sHalfWidthMap.put(Character.valueOf((char)65349), "e");
        sHalfWidthMap.put(Character.valueOf((char)65350), "f");
        sHalfWidthMap.put(Character.valueOf((char)65351), "g");
        sHalfWidthMap.put(Character.valueOf((char)65352), "h");
        sHalfWidthMap.put(Character.valueOf((char)65353), "i");
        sHalfWidthMap.put(Character.valueOf((char)65354), "j");
        sHalfWidthMap.put(Character.valueOf((char)65355), "k");
        sHalfWidthMap.put(Character.valueOf((char)65356), "l");
        sHalfWidthMap.put(Character.valueOf((char)65357), "m");
        sHalfWidthMap.put(Character.valueOf((char)65358), "n");
        sHalfWidthMap.put(Character.valueOf((char)65359), "o");
        sHalfWidthMap.put(Character.valueOf((char)65360), "p");
        sHalfWidthMap.put(Character.valueOf((char)65361), "q");
        sHalfWidthMap.put(Character.valueOf((char)65362), "r");
        sHalfWidthMap.put(Character.valueOf((char)65363), "s");
        sHalfWidthMap.put(Character.valueOf((char)65364), "t");
        sHalfWidthMap.put(Character.valueOf((char)65365), "u");
        sHalfWidthMap.put(Character.valueOf((char)65366), "v");
        sHalfWidthMap.put(Character.valueOf((char)65367), "w");
        sHalfWidthMap.put(Character.valueOf((char)65368), "x");
        sHalfWidthMap.put(Character.valueOf((char)65369), "y");
        sHalfWidthMap.put(Character.valueOf((char)65370), "z");
        sHalfWidthMap.put(Character.valueOf((char)65371), "{");
        sHalfWidthMap.put(Character.valueOf((char)65372), "|");
        sHalfWidthMap.put(Character.valueOf((char)65373), "}");
        sHalfWidthMap.put(Character.valueOf((char)65374), "~");
        sHalfWidthMap.put(Character.valueOf((char)65377), "\uff61");
        sHalfWidthMap.put(Character.valueOf((char)65378), "\uff62");
        sHalfWidthMap.put(Character.valueOf((char)65379), "\uff63");
        sHalfWidthMap.put(Character.valueOf((char)65380), "\uff64");
        sHalfWidthMap.put(Character.valueOf((char)65381), "\uff65");
        sHalfWidthMap.put(Character.valueOf((char)65382), "\uff66");
        sHalfWidthMap.put(Character.valueOf((char)65383), "\uff67");
        sHalfWidthMap.put(Character.valueOf((char)65384), "\uff68");
        sHalfWidthMap.put(Character.valueOf((char)65385), "\uff69");
        sHalfWidthMap.put(Character.valueOf((char)65386), "\uff6a");
        sHalfWidthMap.put(Character.valueOf((char)65387), "\uff6b");
        sHalfWidthMap.put(Character.valueOf((char)65388), "\uff6c");
        sHalfWidthMap.put(Character.valueOf((char)65389), "\uff6d");
        sHalfWidthMap.put(Character.valueOf((char)65390), "\uff6e");
        sHalfWidthMap.put(Character.valueOf((char)65391), "\uff6f");
        sHalfWidthMap.put(Character.valueOf((char)65392), "\uff70");
        sHalfWidthMap.put(Character.valueOf((char)65393), "\uff71");
        sHalfWidthMap.put(Character.valueOf((char)65394), "\uff72");
        sHalfWidthMap.put(Character.valueOf((char)65395), "\uff73");
        sHalfWidthMap.put(Character.valueOf((char)65396), "\uff74");
        sHalfWidthMap.put(Character.valueOf((char)65397), "\uff75");
        sHalfWidthMap.put(Character.valueOf((char)65398), "\uff76");
        sHalfWidthMap.put(Character.valueOf((char)65399), "\uff77");
        sHalfWidthMap.put(Character.valueOf((char)65400), "\uff78");
        sHalfWidthMap.put(Character.valueOf((char)65401), "\uff79");
        sHalfWidthMap.put(Character.valueOf((char)65402), "\uff7a");
        sHalfWidthMap.put(Character.valueOf((char)65403), "\uff7b");
        sHalfWidthMap.put(Character.valueOf((char)65404), "\uff7c");
        sHalfWidthMap.put(Character.valueOf((char)65405), "\uff7d");
        sHalfWidthMap.put(Character.valueOf((char)65406), "\uff7e");
        sHalfWidthMap.put(Character.valueOf((char)65407), "\uff7f");
        sHalfWidthMap.put(Character.valueOf((char)65408), "\uff80");
        sHalfWidthMap.put(Character.valueOf((char)65409), "\uff81");
        sHalfWidthMap.put(Character.valueOf((char)65410), "\uff82");
        sHalfWidthMap.put(Character.valueOf((char)65411), "\uff83");
        sHalfWidthMap.put(Character.valueOf((char)65412), "\uff84");
        sHalfWidthMap.put(Character.valueOf((char)65413), "\uff85");
        sHalfWidthMap.put(Character.valueOf((char)65414), "\uff86");
        sHalfWidthMap.put(Character.valueOf((char)65415), "\uff87");
        sHalfWidthMap.put(Character.valueOf((char)65416), "\uff88");
        sHalfWidthMap.put(Character.valueOf((char)65417), "\uff89");
        sHalfWidthMap.put(Character.valueOf((char)65418), "\uff8a");
        sHalfWidthMap.put(Character.valueOf((char)65419), "\uff8b");
        sHalfWidthMap.put(Character.valueOf((char)65420), "\uff8c");
        sHalfWidthMap.put(Character.valueOf((char)65421), "\uff8d");
        sHalfWidthMap.put(Character.valueOf((char)65422), "\uff8e");
        sHalfWidthMap.put(Character.valueOf((char)65423), "\uff8f");
        sHalfWidthMap.put(Character.valueOf((char)65424), "\uff90");
        sHalfWidthMap.put(Character.valueOf((char)65425), "\uff91");
        sHalfWidthMap.put(Character.valueOf((char)65426), "\uff92");
        sHalfWidthMap.put(Character.valueOf((char)65427), "\uff93");
        sHalfWidthMap.put(Character.valueOf((char)65428), "\uff94");
        sHalfWidthMap.put(Character.valueOf((char)65429), "\uff95");
        sHalfWidthMap.put(Character.valueOf((char)65430), "\uff96");
        sHalfWidthMap.put(Character.valueOf((char)65431), "\uff97");
        sHalfWidthMap.put(Character.valueOf((char)65432), "\uff98");
        sHalfWidthMap.put(Character.valueOf((char)65433), "\uff99");
        sHalfWidthMap.put(Character.valueOf((char)65434), "\uff9a");
        sHalfWidthMap.put(Character.valueOf((char)65435), "\uff9b");
        sHalfWidthMap.put(Character.valueOf((char)65436), "\uff9c");
        sHalfWidthMap.put(Character.valueOf((char)65437), "\uff9d");
        sHalfWidthMap.put(Character.valueOf((char)65438), "\uff9e");
        sHalfWidthMap.put(Character.valueOf((char)65439), "\uff9f");
        sHalfWidthMap.put(Character.valueOf((char)65509), "\\");
    }
    
    JapaneseUtils() {
    }
    
    public static String tryGetHalfWidthText(char a) {
        boolean b = sHalfWidthMap.containsKey(Character.valueOf(a));
        int i = a;
        return b ? (String)sHalfWidthMap.get(Character.valueOf((char)i)) : null;
    }
}
